/*
 * This file is part of MiToBo, the Microscope Image Analysis Toolbox.
 *
 * Copyright (C) 2010 - 2012
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Fore more information on MiToBo, visit
 *
 *    http://www.informatik.uni-halle.de/mitobo/
 *
 */

/* 
 * Most recent change(s):
 * 
 * $Rev: 5235 $
 * $Date: 2012-03-22 12:44:51 +0100 (Do, 22. Mär 2012) $
 * $Author: moeller $
 * 
 */

package de.unihalle.informatik.MiToBo.segmentation.snakes.datatypes;



import de.unihalle.informatik.MiToBo.core.exceptions.MTBException;

/**
 * MiToBo exception thrown inside snake segmentation framework.
 * 
 * @author moeller
 */

public class MTBSnakeOptimizerException extends MTBException {

	/**
	 * Default constructor.
	 * 
	 * @param c	User-specific exception comment.
	 */
	public MTBSnakeOptimizerException(String c) {
		this.comment= c;
	}

	@Override
  protected String getIdentString() {
		return "SnakeOptimizerException";
	}
}
