/*
 * This file is part of MiToBo, the Microscope Image Analysis Toolbox.
 *
 * Copyright (C) 2010 - 2012
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Fore more information on MiToBo, visit
 *
 *    http://www.informatik.uni-halle.de/mitobo/
 *
 */
/* 
 * Most recent change(s):
 * 
 * $Rev: 5412 $
 * $Date: 2012-04-12 10:59:44 +0200 (Do, 12. Apr 2012) $
 * $Author: moeller $
 * 
 */

package mitoboRunner;

import ij.IJ;
import ij.plugin.*;



import de.unihalle.informatik.Alida.annotations.indexing.SezPozAdapter;
import de.unihalle.informatik.MiToBo.core.operator.gui.MTBChooseOpNameFrame;


/**
 * ImageJ plugin to start the Swing-based Alida/Mitobo operator runner.
 * 
 * @author Stefan Posch 
 * @author Birgit Moeller
 */

public class Op_Runner implements PlugIn {

	@Override
	public void run(String arg0) {
		// init the SezPoz adapter properly
		SezPozAdapter.initAdapter(IJ.getClassLoader());
		// start the application
		MTBChooseOpNameFrame chooser = new MTBChooseOpNameFrame();
		chooser.setVisible(true);
	}

}
